> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Hämta uttalsordlista

GET https://api.elevenlabs.io/v1/pronunciation-dictionaries/{pronunciation_dictionary_id}

Hämta metadata för ett uttalslexikon

Reference: https://elevenlabs.io/docs/api-reference/pronunciation-dictionaries/get

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `pronunciation_dictionary_id` (string, required) — ID:t för uttalsordlistan

## Response

### 200

Lyckat svar

- `id` (string, required) — ID:t för uttalsordlistan.
- `latest_version_id` (string, required) — ID:t för den senaste versionen av uttalsordlistan.
- `latest_version_rules_num` (integer, required) — Antalet regler i den senaste versionen av uttalsordlistan.
- `name` (string, required) — Namnet på uttalsordlistan.
- `permission_on_resource` (enum, required, nullable) — Behörigheten för uttalsordbokens resurs.
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `created_by` (string, required) — Användar-ID:t för skaparen av uttalsordboken.
- `creation_time_unix` (integer, required) — Skapelsetiden för uttalsordboken i Unix-tidsstämpel.
- `rules` (list of GetPronunciationDictionaryWithRulesResponseModelRulesItems, required) — Reglerna i den senaste versionen av uttalsordboken.
- `archived_time_unix` (integer, optional, nullable) — Arkiveringstiden för uttalsordlistan som Unix-tidsstämpel.
- `description` (string, optional, nullable) — Beskrivningen av uttalsordboken.

## Errors

### 422 Unprocessable Entity Error

Valideringsfel

- `detail` (list of ValidationError, optional)

## Types

### GetPronunciationDictionaryWithRulesResponseModelRulesItems

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### PronunciationDictionaryAliasRuleResponseModel

- `string_to_replace` (string, required)
- `type` ("alias", required)
- `alias` (string, required)
- `case_sensitive` (boolean, optional, default: true) — Om regeln matchar skiftlägeskänsligt.
- `word_boundaries` (boolean, optional, default: true) — Om regeln endast matchar vid ordgränser.

### PronunciationDictionaryPhonemeRuleResponseModel

- `string_to_replace` (string, required)
- `type` ("phoneme", required)
- `phoneme` (string, required)
- `alphabet` (string, required)
- `case_sensitive` (boolean, optional, default: true) — Om regeln matchar skiftlägeskänsligt.
- `word_boundaries` (boolean, optional, default: true) — Om regeln endast matchar vid ordgränser.

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "id": "5xM3yVvZQKV0EfqQpLrJ",
  "latest_version_id": "5xM3yVvZQKV0EfqQpLr2",
  "latest_version_rules_num": 2,
  "name": "My Dictionary",
  "permission_on_resource": "admin",
  "created_by": "ar6633Es2kUjFXBdR1iVc9ztsXl1",
  "creation_time_unix": 1714156800,
  "rules": [
    {
      "alias": "tie-land",
      "string_to_replace": "Thailand",
      "type": "alias"
    },
    {
      "alphabet": "ipa",
      "phoneme": "/təˈmeɪtoʊ/",
      "string_to_replace": "Tomato",
      "type": "phoneme"
    }
  ],
  "description": "This is a test dictionary"
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/pronunciation-dictionaries/21m00Tcm4TlvDq8ikWAM"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/pronunciation-dictionaries/21m00Tcm4TlvDq8ikWAM';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/pronunciation-dictionaries/21m00Tcm4TlvDq8ikWAM"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/pronunciation-dictionaries/21m00Tcm4TlvDq8ikWAM")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/pronunciation-dictionaries/21m00Tcm4TlvDq8ikWAM")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/pronunciation-dictionaries/21m00Tcm4TlvDq8ikWAM');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/pronunciation-dictionaries/21m00Tcm4TlvDq8ikWAM");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/pronunciation-dictionaries/21m00Tcm4TlvDq8ikWAM")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```